Subject: Re: [mpls] YANG for MPLS-TP?

From: Loa Andersson <[email-masked]>
Date: Fri, 2 Feb 2018 12:35:34 +0800

Greg, Sasha, working group,

First, yes Greg is right, review of e.g. draft-zhang-mpls-tp-yang-oam,
comments on if this is something we should work on would be very good.

Second, I take it that you talk about a new MPLS-TP yang document.
Between draft-zhang-mpls-tp-yang-oam and draft-ietf-mpls-static-yang,
what is needed. Could that be covered in one the existing documents.

/Loa

On 2018-01-31 09:32, Greg Mirsky wrote:
> Hi Sasha,
> although we had MPLS WG invited to the discussion, I'm calling on Loa 
> (hi, Loa!) to look into it.
> Your the most detailed questions prompted me to investigate and ask my 
> colleagues. Indeed, ITU-T SG-15 is working on G.8152 Protocol-neutral 
> management information model for the MPLS-TP network element. SG-15 uses 
> UML to define informational model so that, as I understand, YANG data 
> model can be produced automatically (almost). I haven't inspected the 
> document in all the details but got feeling that MPLS-TP Identifiers and 
> MPLS-TP OAM, ITU-style, have been addressed. Taking on IETF-style 
> MPLS-TP OAM YANG model seems to me both logical and useful. Should we, 
> or someone else interested, take on MPLS-TP Linear and Ring protection 
> RFCs - depends on whether SG-15 using G.8131 sufficiently cover RFC 6378.
> I'm very much interested to have comments from MPLS WG whether work on 
> aspects of MPLS-TP data model, including 
> draft-zhang-mpls-tp-yang-oam ,is of interest and has WG support.
> 
> Regards,
> Greg
> 
> On Tue, Jun 14, 2016 at 3:22 AM, Alexander Vainshtein 
> <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 
>     Hi all,____
> 
>     I wonder what are the WG plans (if any) regarding YANG data models
>     for MPLS-TP.____
> 
>     __ __
> 
>     While it is obviously true that static MPLS and MPLS-TP are
>     different (neither is the subset of the other), MPLS-TP is today the
>     most important application of static MPLS. ____
> 
>     __ __
> 
>     However, after looking up draft-ietf-mpls-static-yang
>     <https://datatracker.ietf.org/doc/draft-ietf-mpls-static-yang/?include_text=1>
>     I did not find there any mention of MPLS-TP-specific issues.____
> 
>     __ __
> 
>     One example that comes to mind is co-routed bi-directional and
>     associated bi-directional MPLS-TP LSPs. Other issues include:____
> 
>     __1.__MPLS-TP Identifiers (i.e. YANG model for RFC 6370
>     <https://tools.ietf.org/html/rfc6370>). From my POV such a data
>     model is a pre-requisite for all MPLS-TP-related work____
> 
>     __2.__MPLS-TP protection mechanisms____
> 
>     __3.__MPLS-TP OAM mechanisms. There is an individual draft
>     <https://datatracker.ietf.org/doc/draft-zhang-mpls-tp-yang-oam/?include_text=1>
>     that tries to address these issues, but it looks to me like very
>     much incomplete. E.g.:____
> 
>     __o__It does not even mention RFC 6428
>     <https://tools.ietf.org/html/rfc6428>____
> 
>     __o__While RFC 6427 <https://tools.ietf.org/html/rfc6427> appears in
>     the list of Normative references in this draft, there are no actual
>     references to this document.____
> 
>     __ __
> 
>     Any inputs in this regard would be highly appreciated.____
> 
>     __ __
> 
>     Regards, and lots of thanks in advance,____
> 
>     Sasha____
> 
>     __ __
> 
>     Office: +972-39266302 <tel:+972%203-926-6302>____
> 
>     Cell: +972-549266302 <tel:+972%2054-926-6302>____
> 
>     Email: [email-masked]
>     <mailto:[email-masked]>____
> 
>     __ __
> 
> 
>     _______________________________________________
>     mpls mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/mpls
>     <https://www.ietf.org/mailman/listinfo/mpls>
> 
> 

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert
Huawei Technologies (consultant)     phone: +46 739 81 21 64